JUPYTER-NBCLASSIC(1)

NAME
jupyter-nbclassic - launch a Tornado based HTML Notebook Server

OPTIONS
The options below are convenience aliases to configurable class-options, as listed in the "Equivalent to" description-line of the aliases. To see all configurable class-options for some <cmd>, use:

    <cmd> --help-all

--no-browser

    Don't open the notebook in a browser after startup. Equivalent to: [--ServerApp.open_browser=False]

--no-mathjax

    Disable MathJax

    MathJax is the javascript library Jupyter uses to render math/LaTeX. It is very large, so you may want to disable it if you have a slow internet connection, or for offline use of the notebook.

    When disabled, equations etc. will appear as their untransformed TeX source.

    Equivalent to: [--NotebookApp.enable_mathjax=False]

--allow-root

    Allow the notebook to be run from root user. Equivalent to: [--ServerApp.allow_root=True]

--ip=<Unicode>

    The IP address the Jupyter server will listen on. Default: 'localhost' Equivalent to: [--ServerApp.ip]

--port=<Int>

    The port the server will listen on (env: JUPYTER_PORT). Default: 0 Equivalent to: [--ServerApp.port]

--port-retries=<Int>

    The number of additional ports to try if the specified port is not available (env: JUPYTER_PORT_RETRIES). Default: 50 Equivalent to: [--ServerApp.port_retries]

--keyfile=<Unicode>

    The full path to a private key file for usage with SSL/TLS. Default: '' Equivalent to: [--ServerApp.keyfile]

--certfile=<Unicode>

    The full path to an SSL/TLS certificate file. Default: '' Equivalent to: [--ServerApp.certfile]

--client-ca=<Unicode>

    The full path to a certificate authority certificate for SSL/TLS client authentication. Default: '' Equivalent to: [--ServerApp.client_ca]

--notebook-dir=<Unicode>

    DEPRECATED, use root_dir. Default: '' Equivalent to: [--ServerApp.notebook_dir]

--browser=<Unicode>

    Specify what command to use to invoke a web browser when starting the server. If not specified, the default browser will be determined by the `webbrowser` standard library module, which allows setting of the BROWSER environment variable to override it.

    Default: '' Equivalent to: [--ServerApp.browser]